Bug 151240 - CAN-2005-0384 pppd remote DoS
Summary: CAN-2005-0384 pppd remote DoS
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
high
Target Milestone: ---
: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard: impact=important,source=vendorsec,rep...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-16 11:05 UTC by Mark J. Cox
Modified: 2015-01-04 22:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-19 18:52:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch from Paul Mackerras @IBM (481 bytes, patch)
2005-03-16 11:05 UTC, Mark J. Cox
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:366 high SHIPPED_LIVE Important: kernel security update 2005-04-19 04:00:00 UTC

Description Mark J. Cox 2005-03-16 11:05:10 UTC
Ben Martel and Stephen Blackheath discovered a DoS attack that a client of pppd
can make that can hang the server machine.  The bug is in the Linux kernel 2.6
(tested on 2.6.9), but it looks like it also exists in the 2.4 series.

Comment 1 Mark J. Cox 2005-03-16 11:05:11 UTC
Created attachment 112045 [details]
Proposed patch from Paul Mackerras @IBM

Comment 4 Josh Bressers 2005-04-19 18:52:25 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-366.html



Note You need to log in before you can comment on or make changes to this bug.